<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/pscip.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<h1>Z:/Project/development/PSCIP/driver/pscip.h</h1><a href="pscip_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00013"></a>00013 <span class="preprocessor">#ifndef __PSCIPDEF_H__</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span><span class="preprocessor">#define __PSCIPDEF_H__</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00017"></a>00017 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00018"></a>00018 <span class="preprocessor">#endif</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="comment">/* ioctl data struct */</span>
<a name="l00022"></a><a class="code" href="structpscip__t.html">00022</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00023"></a><a class="code" href="structpscip__t.html#8ee0b97dd5e2ac9fc6fbfaf5cdf0fba7">00023</a>  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  chan;  <span class="comment">/* channel 0/1 */</span>
<a name="l00024"></a><a class="code" href="structpscip__t.html#79235a96d6d6c52c0bb0dcc922947547">00024</a>  <span class="keywordtype">unsigned</span>  <span class="keywordtype">char</span>  stat,   <span class="comment">/* status register */</span> 
<a name="l00025"></a>00025       address;  <span class="comment">/* address register */</span>
<a name="l00026"></a><a class="code" href="structpscip__t.html#d6ee430a30c9dc8e5ad006efcf5be07d">00026</a>     <span class="keywordtype">int</span>  data;       
<a name="l00027"></a>00027 } <a class="code" href="structpscip__t.html">pscip_t</a>;
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="comment">/* ioctl fpga data struct */</span>
<a name="l00032"></a><a class="code" href="structpscip__fpga__t.html">00032</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00033"></a><a class="code" href="structpscip__fpga__t.html#687f273118bfd092b2736c0a10d0a68d">00033</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> channel;  <span class="comment">/* channel 0/1 */</span>  
<a name="l00034"></a><a class="code" href="structpscip__fpga__t.html#89ede1d1b972a6599fee27626c83c6aa">00034</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> high_data,
<a name="l00035"></a>00035                 mid_data,
<a name="l00036"></a>00036                 low_data;
<a name="l00037"></a>00037 } <a class="code" href="structpscip__fpga__t.html">pscip_fpga_t</a>;
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="comment">/* ioctl stats data struct */</span>
<a name="l00040"></a><a class="code" href="structpscip__stats__t.html">00040</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{  
<a name="l00041"></a><a class="code" href="structpscip__stats__t.html#c647919d8c5ec4bbbc58be57109c99b3">00041</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> channel;  <span class="comment">/* channel 0/1 */</span> 
<a name="l00042"></a><a class="code" href="structpscip__stats__t.html#462f1b9d8580e9540a8080cbdf9cb8d9">00042</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> rx, <span class="comment">/* rx successful counter */</span>
<a name="l00043"></a>00043               tx, <span class="comment">/* tx successful counter */</span>
<a name="l00044"></a>00044               err_flag, <span class="comment">/* global status error flag */</span>
<a name="l00045"></a>00045         link_err_flag[5], <span class="comment">/* link error flag (status) */</span>
<a name="l00046"></a>00046         cntrl_stat, <span class="comment">/* controller status */</span>        
<a name="l00047"></a>00047         linkdown_cnt,
<a name="l00048"></a>00048         txerr_cnt;
<a name="l00049"></a>00049         
<a name="l00050"></a>00050 } <a class="code" href="structpscip__stats__t.html">pscip_stats_t</a>;
<a name="l00051"></a>00051 
<a name="l00052"></a>00052 
<a name="l00053"></a>00053 <span class="comment">/*</span>
<a name="l00054"></a>00054 <span class="comment"> * Channel Status Register BitMasks (base+0,base+8,base+16...) (read/write)</span>
<a name="l00055"></a>00055 <span class="comment"> */</span>
<a name="l00056"></a><a class="code" href="pscip_8h.html#582748943d8ab2e1c25e39011824dde5">00056</a> <span class="preprocessor">#define PSCIP_WRITEREAD_MODE_MSK  0x80 </span><span class="comment">/* 1=write cycle; 0=read cycle (w/r)*/</span>
<a name="l00057"></a><a class="code" href="pscip_8h.html#5e5c3361310be64daa76d9d103fe34d7">00057</a> <span class="preprocessor">#define PSCIP_ECHO_MSK            0x40 </span><span class="comment">/* 1=write echo/send of requested data; 0=write cycle/read request (w/r) */</span>
<a name="l00058"></a><a class="code" href="pscip_8h.html#59b697efb51c2c83347d8419b704c983">00058</a> <span class="preprocessor">#define PSCIP_INPUTBUF_MSK        0x20 </span><span class="comment">/* 1=buffer full; 0=buffer not full (r) */</span>
<a name="l00059"></a><a class="code" href="pscip_8h.html#6747cbf210e1a9e3e552b0acf3837963">00059</a> <span class="preprocessor">#define PSCIP_DSP_MSK             0x10 </span><span class="comment">/* 1=dsp stopped; 0=dsp running (r) */</span>
<a name="l00060"></a><a class="code" href="pscip_8h.html#94c046d664551a867db7de20906b46f8">00060</a> <span class="preprocessor">#define PSCIP_REMLOC_MSK          0x8  </span><span class="comment">/* 1=local control; 0=remote control (r) */</span>
<a name="l00061"></a><a class="code" href="pscip_8h.html#41a33862da3a71478344216914a894d9">00061</a> <span class="preprocessor">#define PSCIP_LINK_MSK            0x4  </span><span class="comment">/* 1=link down; 0=link up (r) */</span>
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 <span class="comment">/*</span>
<a name="l00064"></a>00064 <span class="comment"> * Status Register BitMasks (base+56) (read only)</span>
<a name="l00065"></a>00065 <span class="comment"> */</span>
<a name="l00066"></a><a class="code" href="pscip_8h.html#efe3cf779ccb8b637255c8b143541922">00066</a> <span class="preprocessor">#define PSCIP_ERROR_MSK        0x8000  </span><span class="comment">/* 1=error; 0=ok */</span>
<a name="l00067"></a><a class="code" href="pscip_8h.html#79af993cebbbe8c2753a3ef7ce954cbf">00067</a> <span class="preprocessor">#define PSCIP_RDWAVE_BUSY_MSK  0x10    </span><span class="comment">/* 1=ready; 0=busy */</span>
<a name="l00068"></a><a class="code" href="pscip_8h.html#d5ccc1baf89461e88d11ed2b816df3ad">00068</a> <span class="preprocessor">#define PSCIP_WRWAVE_BUSY_MSK  0x8     </span><span class="comment">/* 1=ready; 0=busy */</span>
<a name="l00069"></a><a class="code" href="pscip_8h.html#13ba36df2bb45634e26582e68ab1e28a">00069</a> <span class="preprocessor">#define PSCIP_READ_BUSY_MSK    0x4     </span><span class="comment">/* 1=ready; 0=busy */</span>
<a name="l00070"></a><a class="code" href="pscip_8h.html#616ca64c5d899df40f7286c8e990a613">00070</a> <span class="preprocessor">#define PSCIP_WRITE_BUSY_MSK   0x2     </span><span class="comment">/* 1=ready; 0=busy */</span>
<a name="l00071"></a><a class="code" href="pscip_8h.html#f41679abbe34eab8483f9719f786a7f0">00071</a> <span class="preprocessor">#define PSCIP_SETCUR_BUSY_MSK  0x1     </span><span class="comment">/* 1=ready; 0=busy */</span>
<a name="l00072"></a>00072 
<a name="l00073"></a>00073 <span class="comment">/*</span>
<a name="l00074"></a>00074 <span class="comment"> * FPGA Status Register BitMasks (base+48) (write only)</span>
<a name="l00075"></a>00075 <span class="comment"> */</span>
<a name="l00076"></a><a class="code" href="pscip_8h.html#0534332c3b81f68e09fe1b2f5ea56714">00076</a> <span class="preprocessor">#define PSCIP_ERRCLEAR_MSK    0x8000   </span><span class="comment">/* 1=clear counter; 0=don't care */</span>
<a name="l00077"></a><a class="code" href="pscip_8h.html#f2d71b7fdc783dd22ccb19f09cdd20fc">00077</a> <span class="preprocessor">#define PSCIP_SETLOOP_MSK     0x1      </span><span class="comment">/* 1=set loopback mode on; 0=set loopback mode off */</span>
<a name="l00078"></a>00078 
<a name="l00079"></a>00079 <span class="comment">/*</span>
<a name="l00080"></a>00080 <span class="comment"> * FPGA Status Register BitMasks (base+48)=high (read only)</span>
<a name="l00081"></a>00081 <span class="comment"> */</span>
<a name="l00082"></a>00082 <span class="comment">/* bits 15..8 */</span> 
<a name="l00083"></a><a class="code" href="pscip_8h.html#f6a2b8afefa74b6d7abf5be4b8a26386">00083</a> <span class="preprocessor">#define PSCIP_ERRCNT_MSK      0x8000   </span><span class="comment">/* error counter */</span>
<a name="l00084"></a><a class="code" href="pscip_8h.html#0e2a6d07d5e8dd2925cfbbd1c91495bf">00084</a> <span class="preprocessor">#define PSCIP_LINKDOWN_MSK    0x80     </span><span class="comment">/* 1=link error; 0=link ok */</span>
<a name="l00085"></a><a class="code" href="pscip_8h.html#dc700fb2ec1ecb614cd0b743e1a7781a">00085</a> <span class="preprocessor">#define PSCIP_TXERR_MSK       0x40     </span><span class="comment">/* 1=tx error; 0=tx ok */</span>
<a name="l00086"></a><a class="code" href="pscip_8h.html#5ac9ed160f475c343b09a06a86faf4cd">00086</a> <span class="preprocessor">#define PSCIP_LOOPBACK_MSK    0x1      </span><span class="comment">/* 1=loopback mode on; 0=loopback mode off */</span>
<a name="l00087"></a>00087 
<a name="l00088"></a>00088 <span class="comment">/*</span>
<a name="l00089"></a>00089 <span class="comment"> * FPGA Status Register BitMasks (base+50)=mid (read only)</span>
<a name="l00090"></a>00090 <span class="comment"> */</span> 
<a name="l00091"></a><a class="code" href="pscip_8h.html#df801c8c361d6a3e4252076cc8881330">00091</a> <span class="preprocessor">#define PSCIP_PAR_ERR_0_MSK      0x4000  </span><span class="comment">/* 1=parity error on register 0; 0=ok */</span>
<a name="l00092"></a><a class="code" href="pscip_8h.html#27a13cf462bf22c5ec0c445e6de9caf9">00092</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_0_MSK    0x2000  </span><span class="comment">/* 1=break error on register 0; 0=ok */</span>
<a name="l00093"></a><a class="code" href="pscip_8h.html#84ef82c05ccc85482ef34413caedcc89">00093</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_0_MSK    0x1000  </span><span class="comment">/* 1=frame error on register 0; 0=ok */</span>
<a name="l00094"></a><a class="code" href="pscip_8h.html#1c1b2d0a7c89d428d5451f81240fd677">00094</a> <span class="preprocessor">#define PSCIP_COMP_ERR_0_MSK     0x800   </span><span class="comment">/* 1=compare error on register 0; 0=ok */</span>
<a name="l00095"></a><a class="code" href="pscip_8h.html#d98d269b9eaa6a9f38af4febda583d59">00095</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_0_MSK  0x400   </span><span class="comment">/* 1=timeout error on register 0; 0=ok */</span>
<a name="l00096"></a><a class="code" href="pscip_8h.html#ac068ca99a34d17ef3e16f8990452647">00096</a> <span class="preprocessor">#define PSCIP_PAR_ERR_1_MSK      0x200   </span><span class="comment">/* 1=parity error on register 1; 0=ok */</span>
<a name="l00097"></a><a class="code" href="pscip_8h.html#d413350d8ca89cce5fd477f6860a0042">00097</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_1_MSK    0x100   </span><span class="comment">/* 1=break error on register 1; 0=ok */</span>
<a name="l00098"></a><a class="code" href="pscip_8h.html#327c009f2fd9e0d38d45e51599a69545">00098</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_1_MSK    0x80    </span><span class="comment">/* 1=frame error on register 1; 0=ok */</span>
<a name="l00099"></a><a class="code" href="pscip_8h.html#8c6fa45efeef3547663a30d393bbce16">00099</a> <span class="preprocessor">#define PSCIP_COMP_ERR_1_MSK     0x40    </span><span class="comment">/* 1=compare error on register 1; 0=ok */</span>
<a name="l00100"></a><a class="code" href="pscip_8h.html#3877c08b4e5f0bff754160566c3b1f4b">00100</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_1_MSK  0x20    </span><span class="comment">/* 1=timeout error on register 1; 0=ok */</span>
<a name="l00101"></a><a class="code" href="pscip_8h.html#2fcf60d989bdb5e26a2fc228bd84c189">00101</a> <span class="preprocessor">#define PSCIP_PAR_ERR_2_MSK      0x10    </span><span class="comment">/* 1=parity error on register 2; 0=ok */</span>
<a name="l00102"></a><a class="code" href="pscip_8h.html#a58e66d4d65b604550b4d2d552313cba">00102</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_2_MSK    0x8     </span><span class="comment">/* 1=break error on register 2; 0=ok */</span>
<a name="l00103"></a><a class="code" href="pscip_8h.html#48f0004b0214403210e6cf34a052c7e3">00103</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_2_MSK    0x4     </span><span class="comment">/* 1=frame error on register 2; 0=ok */</span>
<a name="l00104"></a><a class="code" href="pscip_8h.html#65e2c03d41a0d99801653dd29820c129">00104</a> <span class="preprocessor">#define PSCIP_COMP_ERR_2_MSK     0x2     </span><span class="comment">/* 1=compare error on register 2; 0=ok */</span>
<a name="l00105"></a><a class="code" href="pscip_8h.html#135787e357871ab2fb61970c5ef476cb">00105</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_2_MSK  0x1     </span><span class="comment">/* 1=timeout error on register 2; 0=ok */</span>
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 <span class="comment">/*</span>
<a name="l00108"></a>00108 <span class="comment"> * FPGA Status Register BitMasks (base+52)=low (read only)</span>
<a name="l00109"></a>00109 <span class="comment"> */</span> 
<a name="l00110"></a><a class="code" href="pscip_8h.html#d5a1f88eaf104520e552bf0e91ccbb07">00110</a> <span class="preprocessor">#define PSCIP_PAR_ERR_3_MSK      0x200   </span><span class="comment">/* 1=parity error on register 3; 0=ok */</span>
<a name="l00111"></a><a class="code" href="pscip_8h.html#25ae7db1dc51169973988daca95a9d3a">00111</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_3_MSK    0x100   </span><span class="comment">/* 1=break error on register 3; 0=ok */</span>
<a name="l00112"></a><a class="code" href="pscip_8h.html#fca6cddcf6fedbaf3bc42dd4a2cc0566">00112</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_3_MSK    0x80    </span><span class="comment">/* 1=frame error on register 3; 0=ok */</span>
<a name="l00113"></a><a class="code" href="pscip_8h.html#7d3a12806330ac9c9230663e3050cd0c">00113</a> <span class="preprocessor">#define PSCIP_COMP_ERR_3_MSK     0x40    </span><span class="comment">/* 1=compare error on register 3; 0=ok */</span>
<a name="l00114"></a><a class="code" href="pscip_8h.html#851e48c111466921614bb14c5840456e">00114</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_3_MSK  0x20    </span><span class="comment">/* 1=timeout error on register 3; 0=ok */</span>
<a name="l00115"></a><a class="code" href="pscip_8h.html#8de1c54d691f6eed3ab942b58a2dda71">00115</a> <span class="preprocessor">#define PSCIP_PAR_ERR_4_MSK      0x10    </span><span class="comment">/* 1=parity error on register 4; 0=ok */</span>
<a name="l00116"></a><a class="code" href="pscip_8h.html#5380e84ef27de9dddcb816e614c519d0">00116</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_4_MSK    0x8     </span><span class="comment">/* 1=break error on register 4; 0=ok */</span>
<a name="l00117"></a><a class="code" href="pscip_8h.html#480694597b99c899f67b96d7b575e5ad">00117</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_4_MSK    0x4     </span><span class="comment">/* 1=frame error on register 4; 0=ok */</span>
<a name="l00118"></a><a class="code" href="pscip_8h.html#9bc5e31f2c964935e54b849ca5ed27cf">00118</a> <span class="preprocessor">#define PSCIP_COMP_ERR_4_MSK     0x2     </span><span class="comment">/* 1=compare error on register 4; 0=ok */</span>
<a name="l00119"></a><a class="code" href="pscip_8h.html#ef50a4f3848c14539a1ab4ee55ae428d">00119</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_4_MSK  0x1     </span><span class="comment">/* 1=timeout error on register 4; 0=ok */</span>
<a name="l00120"></a>00120 
<a name="l00121"></a>00121 <span class="comment">/* FPGA link error bitmask */</span>
<a name="l00122"></a><a class="code" href="pscip_8h.html#7f97604abcd0363026b87993b5477f0e">00122</a> <span class="preprocessor">#define PSCIP_PAR_ERR_MSK      0x10    </span><span class="comment">/* 1=parity error; 0=ok */</span>
<a name="l00123"></a><a class="code" href="pscip_8h.html#1ea63530119f92e4f65026a25577df9c">00123</a> <span class="preprocessor">#define PSCIP_BREAK_ERR_MSK    0x8     </span><span class="comment">/* 1=break error; 0=ok */</span>
<a name="l00124"></a><a class="code" href="pscip_8h.html#9541bbd441615cb7228d0d38bcfcc7fb">00124</a> <span class="preprocessor">#define PSCIP_FRAME_ERR_MSK    0x4     </span><span class="comment">/* 1=frame error; 0=ok */</span>
<a name="l00125"></a><a class="code" href="pscip_8h.html#252dc6b62397369ab0782713467db618">00125</a> <span class="preprocessor">#define PSCIP_COMP_ERR_MSK     0x2     </span><span class="comment">/* 1=compare error; 0=ok */</span>
<a name="l00126"></a><a class="code" href="pscip_8h.html#a22e9fd240f74a49787710c3b218506c">00126</a> <span class="preprocessor">#define PSCIP_TIMEOUT_ERR_MSK  0x1     </span><span class="comment">/* 1=timeout error; 0=ok */</span>
<a name="l00127"></a>00127 
<a name="l00128"></a>00128 
<a name="l00129"></a>00129 <span class="comment">/*</span>
<a name="l00130"></a>00130 <span class="comment"> * Link identification</span>
<a name="l00131"></a>00131 <span class="comment"> */</span>
<a name="l00132"></a><a class="code" href="pscip_8h.html#6d8d8c48fe5e3166eb6718304beeb66c">00132</a> <span class="preprocessor">#define PSCIP_WRHPRIO_IDX    0    </span><span class="comment">/* high priority write */</span> 
<a name="l00133"></a><a class="code" href="pscip_8h.html#11834e1dd301ff195bf17f2d3006a9dc">00133</a> <span class="preprocessor">#define PSCIP_WRITE_IDX      1    </span><span class="comment">/* write */</span> 
<a name="l00134"></a><a class="code" href="pscip_8h.html#adcef2e7b45d1bedb797b98591ff4042">00134</a> <span class="preprocessor">#define PSCIP_READ_IDX       2    </span><span class="comment">/* read */</span> 
<a name="l00135"></a><a class="code" href="pscip_8h.html#7ed4de6f363e00ae2367bee55519d56c">00135</a> <span class="preprocessor">#define PSCIP_WRWAVE_IDX     3    </span><span class="comment">/* write waveform */</span>
<a name="l00136"></a><a class="code" href="pscip_8h.html#dc56993b93ac2b4edf3742d94a042895">00136</a> <span class="preprocessor">#define PSCIP_RDWAVE_IDX     4    </span><span class="comment">/* read waveform */</span>
<a name="l00137"></a>00137 
<a name="l00138"></a><a class="code" href="pscip_8h.html#76415ef6a4793984654ab438584e4221">00138</a> <span class="preprocessor">#define PSCIP_LINKDOWN_TOUT  4    </span><span class="comment">/* wait 4 second to give data after the link up again (previously was down) */</span>
<a name="l00139"></a>00139 <span class="comment">/* </span>
<a name="l00140"></a>00140 <span class="comment"> * Real-time thread status BitMask</span>
<a name="l00141"></a>00141 <span class="comment"> */</span>
<a name="l00142"></a><a class="code" href="pscip_8h.html#b6d7fefcaa8a61bbdac013f306915762">00142</a> <span class="preprocessor">#define PSCIP_THREAD_RUN_MSK      0x1   </span><span class="comment">/* 1=thread running; 0=thread stopped */</span>  
<a name="l00143"></a><a class="code" href="pscip_8h.html#86c058ae122f12ef18680843bc2c0949">00143</a> <span class="preprocessor">#define PSCIP_THREAD_ERR_MSK      0x2   </span><span class="comment">/* 1=thread errors; 0=thread ok */</span> 
<a name="l00144"></a>00144 
<a name="l00145"></a>00145 <span class="comment">/*</span>
<a name="l00146"></a>00146 <span class="comment"> * Ioctl commands</span>
<a name="l00147"></a>00147 <span class="comment"> */</span>
<a name="l00148"></a><a class="code" href="pscip_8h.html#f1c216310d1c8a97199c376c50577ca5">00148</a> <span class="preprocessor">#define PSCIP_IOCTL_MAGIC  0xB1B  </span>
<a name="l00149"></a><a class="code" href="pscip_8h.html#f564936bc290fbdda24a3f9ce25ea70d">00149</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRHIPRIO     _IOW  (PSCIP_IOCTL_MAGIC, 1, pscip_t) </span><span class="comment">/* high priority write */</span>
<a name="l00150"></a><a class="code" href="pscip_8h.html#145abb0528d0562f2d3e9180d2d8bdd7">00150</a> <span class="preprocessor">#define PSCIP_WRITE        _IOW  (PSCIP_IOCTL_MAGIC, 2, pscip_t) </span><span class="comment">/* write */</span>
<a name="l00151"></a><a class="code" href="pscip_8h.html#1ad87f3dd3daf9ceac34bc7c040fd488">00151</a> <span class="preprocessor">#define PSCIP_READ         _IOWR (PSCIP_IOCTL_MAGIC, 3, pscip_t) </span><span class="comment">/* read */</span>
<a name="l00152"></a><a class="code" href="pscip_8h.html#c644090d8b0ecb81e3fc1f37136fefcb">00152</a> <span class="preprocessor">#define PSCIP_WRWAVE       _IOW  (PSCIP_IOCTL_MAGIC, 4, pscip_t) </span><span class="comment">/* write waveform */</span>
<a name="l00153"></a><a class="code" href="pscip_8h.html#f6891eb1f27034974efd79d30f27ed7a">00153</a> <span class="preprocessor">#define PSCIP_RDWAVE       _IOWR (PSCIP_IOCTL_MAGIC, 5, pscip_t) </span><span class="comment">/* read waveform */</span>
<a name="l00154"></a><a class="code" href="pscip_8h.html#bed7503a31783d40312723134b775222">00154</a> <span class="preprocessor">#define PSCIP_RDLINKSTAT   _IOWR  (PSCIP_IOCTL_MAGIC,6, pscip_t) </span><span class="comment">/* read link status register */</span>
<a name="l00155"></a><a class="code" href="pscip_8h.html#927f359d87b1927f99e7efd666e49081">00155</a> <span class="preprocessor">#define PSCIP_RDFPGASTAT   _IOR  (PSCIP_IOCTL_MAGIC, 7, pscip_fpga_t) </span><span class="comment">/* read fpga registers */</span>
<a name="l00156"></a><a class="code" href="pscip_8h.html#5da1d5661a8f241619875b191b9a8e50">00156</a> <span class="preprocessor">#define PSCIP_RDSTATISTICS _IOR  (PSCIP_IOCTL_MAGIC, 8, pscip_stats_t) </span><span class="comment">/* read/write/errors statistics */</span>
<a name="l00157"></a>00157 <span class="comment">//#define PSCIP_VMEADDR      _IOR  (PSCIP_IOCTL_MAGIC, 9, unsigned long) /* get pscip vmeaddr */</span>
<a name="l00158"></a><a class="code" href="pscip_8h.html#b1756c28ed55fd46b27c1c9c9c79109a">00158</a> <span class="preprocessor">#define PSCIP_PCIADDR      _IOR  (PSCIP_IOCTL_MAGIC, 9, unsigned long) </span><span class="comment">/* get pscip vmeaddr */</span>
<a name="l00159"></a>00159 
<a name="l00160"></a><a class="code" href="pscip_8h.html#5788cb36fa2a76b191152affbce54791">00160</a> <span class="preprocessor">#define PSCIP_RESET        _IO  (PSCIP_IOCTL_MAGIC, 17)           </span><span class="comment">/* reset IP module */</span>
<a name="l00161"></a>00161 
<a name="l00162"></a>00162 <span class="comment">//added functionality</span>
<a name="l00163"></a><a class="code" href="pscip_8h.html#2a7c8b03e64b8001a8fab58b5912ef30">00163</a> <span class="preprocessor">#define PSCIP_CLRCOUNTER        _IOW  (PSCIP_IOCTL_MAGIC, 18, pscip_t) </span>
<a name="l00164"></a><a class="code" href="pscip_8h.html#98ab0b3a0501e0ad2b1e7377b8ba621d">00164</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_DUMPFPGAREGS        _IOW  (PSCIP_IOCTL_MAGIC, 19, pscip_t)           </span><span class="comment">/* clear IP counter*/</span>
<a name="l00165"></a><a class="code" href="pscip_8h.html#835190a56c8493939498802b5bed4194">00165</a> <span class="preprocessor">#define PSCIP_WRITEIPREG        _IOW  (PSCIP_IOCTL_MAGIC, 10, pscip_t) </span><span class="comment">/* read ip register */</span>
<a name="l00166"></a><a class="code" href="pscip_8h.html#734db0298305c99c5ed29f2881c08ee5">00166</a> <span class="preprocessor">#define PSCIP_READIPREG         _IOWR (PSCIP_IOCTL_MAGIC, 11, pscip_t) </span><span class="comment">/* write IP register */</span>
<a name="l00167"></a>00167 <span class="comment">/* Error codes */</span>
<a name="l00168"></a><a class="code" href="pscip_8h.html#b661b89922349e1f42117ae8518801b5">00168</a> <span class="preprocessor">#define PSCIP_ERR_OFFSET   PSCIP_IOCTL_MAGIC</span>
<a name="l00169"></a><a class="code" href="pscip_8h.html#e545bf20a6d1ef12c4ebce0ee38e28e6">00169</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_MISMATCH_ERR (PSCIP_ERR_OFFSET + 0)  </span><span class="comment">/* Echo value doesn't match */</span>
<a name="l00170"></a><a class="code" href="pscip_8h.html#a0b920fdccfae233b941a391f9a5324f">00170</a> <span class="preprocessor">#define PSCIP_REMLOC_ERR   (PSCIP_ERR_OFFSET + 1)  </span><span class="comment">/* Remote control disabled */</span>
<a name="l00171"></a><a class="code" href="pscip_8h.html#9456f878d27f639ab2e7826620e6ca69">00171</a> <span class="preprocessor">#define PSCIP_READ_ERR     (PSCIP_ERR_OFFSET + 2)  </span><span class="comment">/* Generic reading error */</span>
<a name="l00172"></a><a class="code" href="pscip_8h.html#42916fdc194d01eb84928ba96b628cac">00172</a> <span class="preprocessor">#define PSCIP_TOUT_ERR     (PSCIP_ERR_OFFSET + 3)  </span><span class="comment">/* Reading timeout error */</span>
<a name="l00173"></a><a class="code" href="pscip_8h.html#b1919dfb790e08b1384bf6ac5b389f4f">00173</a> <span class="preprocessor">#define PSCIP_BUFFER_ERR   (PSCIP_ERR_OFFSET + 4)  </span><span class="comment">/* Input buffer full */</span>
<a name="l00174"></a><a class="code" href="pscip_8h.html#648cdda556328941bf2d6b5209c245ca">00174</a> <span class="preprocessor">#define PSCIP_DSP_ERR      (PSCIP_ERR_OFFSET + 5)  </span><span class="comment">/* Dsp stopped */</span>
<a name="l00175"></a><a class="code" href="pscip_8h.html#bf6400c5fa906f201860824adcf69dc2">00175</a> <span class="preprocessor">#define PSCIP_LINK_ERR     (PSCIP_ERR_OFFSET + 6)  </span><span class="comment">/* Link is down */</span>
<a name="l00176"></a><a class="code" href="pscip_8h.html#a3ff8458fc8540824a7e1d39d0122d16">00176</a> <span class="preprocessor">#define PSCIP_TX_ERR       (PSCIP_ERR_OFFSET + 7)  </span><span class="comment">/* Transmission error */</span>
<a name="l00177"></a><a class="code" href="pscip_8h.html#507cc1e5cecd0dc495549f7f9f42dc0a">00177</a> <span class="preprocessor">#define PSCIP_PARAM_ERR    (PSCIP_ERR_OFFSET + 8)  </span><span class="comment">/* Parameter error */</span>
<a name="l00178"></a><a class="code" href="pscip_8h.html#6a84d9fb1619ec1617a343d4c2fa6e0c">00178</a> <span class="preprocessor">#define PSCIP_BUS_ERR      (PSCIP_ERR_OFFSET + 9) </span><span class="comment">/* VME bus error */</span>
<a name="l00179"></a>00179 
<a name="l00180"></a><a class="code" href="pscip_8h.html#d665b2c4a0bd94221563aef3f1ac61a2">00180</a> <span class="preprocessor">#define PSCIP_SIZE_MSG  80</span>
<a name="l00181"></a>00181 <span class="preprocessor"></span>
<a name="l00182"></a>00182 
<a name="l00183"></a>00183 
<a name="l00184"></a>00184 
<a name="l00185"></a><a class="code" href="pscip_8h.html#44bc792c860f34473029a901a60dbe35">00185</a> <span class="preprocessor">#define PSCIP_MINOR_NUMBER  0;  //initial minor number</span>
<a name="l00186"></a><a class="code" href="pscip_8h.html#22ccf226492566e2a4bd692289186529">00186</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_MAJOR_NUMBER  0;  //initial minor number</span>
<a name="l00187"></a>00187 <span class="preprocessor"></span><span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00188"></a>00188 <span class="preprocessor"></span>}
<a name="l00189"></a>00189 <span class="preprocessor">#endif</span>
<a name="l00190"></a>00190 <span class="preprocessor"></span>
<a name="l00191"></a>00191 <span class="preprocessor">#endif</span>
<a name="l00192"></a>00192 <span class="preprocessor"></span>
<a name="l00193"></a>00193 <span class="comment">/* EOF */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:43 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
